import { ExtractPropTypes } from "vue";
interface DataType {
    code: string;
    name: string;
}
export interface ChooseAreaItem extends DataType {
    children?: ChooseAreaItem[];
}
/**
 * change 事件: 省 市 区
 * */
interface ChooseAreaChange {
    provinceData: DataType;
    cityData: DataType;
    areaData: DataType;
}
/**
 * 城市选择-事件类型
 */
export declare type ChooseAreaEmits = {
    change(data: ChooseAreaChange): void;
};
/**
 * 城市选择-属性类型
 * */
export declare const chooseAreaProps: {
    readonly provinceAttrs: ObjectConstructor;
    readonly cityAttrs: ObjectConstructor;
    readonly areaAttrs: ObjectConstructor;
};
export declare type ChooseAreaProps = ExtractPropTypes<typeof chooseAreaProps>;
export {};
